## pypdf 3.4.1

=== Makefile ===
maint:
	pyenv local 3.6.15
	pre-commit autoupdate
	pip-compile -U requirements/ci.in
	pyenv local 3.7.15
	pip-compile -U requirements/dev.in
	pyenv local 3.7.9
	pip-compile -U requirements/docs.in

changelog:
	python make_changelog.py

upload:
	make clean
	flit publish

clean:
	pyclean .
	rm -rf tests/__pycache__ pypdf/__pycache__ Image9.png htmlcov docs/_build dist dont_commit_merged.pdf dont_commit_writer.pdf pypdf.egg-info pypdf_pdfLocation.txt .pytest_cache .mypy_cache .benchmarks

test:
	pytest tests --cov --cov-report term-missing -vv --cov-report html --durations=3 --timeout=60 pypdf

testtype:
	pytest tests --cov --cov-report term-missing -vv --cov-report html --durations=3 --timeout=30 --typeguard-packages=pypdf

mutation-test:
	mutmut run

mutation-results:
	mutmut junitxml --suspicious-policy=ignore --untested-policy=ignore > mutmut-results.xml
	junit2html mutmut-results.xml mutmut-results.html

benchmark:
	pytest tests/bench.py

mypy:
	mypy pypdf --ignore-missing-imports --check-untyped --strict

pylint:
	pylint pypdf

=== debian/changelog ===
pypdf (3.4.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Build-Depend on bullseye-backports' flit.
  * Build-Depend on python3-typing-extensions.

 -- Bastian Germann <bage@debian.org>  Sat, 03 Feb 2024 19:26:25 +0000

pypdf (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * drop patches already loaded upstream
  * Mark external testts appropriately

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 14 Feb 2023 16:58:00 -0500

pypdf (3.3.0-3) unstable; urgency=medium

  * wrap-and-sort -ast
  * recommend pil and pycryptodome for normal installations
  * indicate that unlinking patch has been forwarded upstream
  * use Cryptodome namespace, in line with debian practice
  * Replicate pyproject.toml to avoid PytestUnknownMarkWarning

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 26 Jan 2023 15:11:26 -0500

pypdf (3.3.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * explain to lintian why there is a very long line in the source
  * d/rules: simplify
  * simplify use of dh_auto_test
  * include resources during testing
  * Clean up Merge outputs directly in tests
  * Clean up .coverage files after testing and before packaging
  * tests: include cryptodome for tests that need it
  * autopkgtest: use pybuild-generated automatic test

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 25 Jan 2023 20:06:59 -0500

pypdf (3.3.0-1) unstable; urgency=medium

  * New upstream version
  * d/watch: move to fetching git tags directly, so
    we can verify them
  * Drop patch already upstream
  * mark new test as external test

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 23 Jan 2023 11:52:29 -0500

pypdf (3.2.1-1) unstable; urgency=medium

  * New upstream release, working now as pypdf (Closes: #1028559)
  * New upstream version 3.2.1
  * refresh patches
  * skip network tests and sample-file tests via pytest arguments
    instead of a patch
  * provide correct test annotations
  * clean up test byproducts

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Jan 2023 17:22:19 -0500

pypdf2 (2.12.1-3) unstable; urgency=medium

  * disable two more network tests

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Jan 2023 16:38:55 -0500

pypdf2 (2.12.1-2) unstable; urgency=medium

  * d/control: correct Vcs-* fields

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Jan 2023 15:54:18 -0500

pypdf2 (2.12.1-1) unstable; urgency=medium

  * new upstream version (last upstream version before breaking changes
    and explicit deprecation in 3.0.0)
  * Rules-Requires-Root: no
  * standards-version: bump to 4.6.2 (no changes needed)
  * add myself to d/copyright with the year 2023
  * filter out override_dh_auto_test when nocheck is in DEB_BUILD_OPTIONS
  * d/control: add Vcs-* fields
  * add myself to uploaders
  * wrap-and-sort -ast
  * add debian/gbp.conf
  * d/watch: drop unnecessary options
  * d/watch: only look for versions 2.x (3.0.0 is backwards-incompatible,
    deprecated, and replaced with pypdf)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Jan 2023 15:00:28 -0500

pypdf2 (2.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 23 Nov 2022 17:34:53 +0100

pypdf2 (2.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Oct 2022 07:40:25 +0200

pypdf2 (2.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Sep 2022 22:08:25 +0200

pypdf2 (2.10.9-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 19 Sep 2022 22:15:31 +0200

pypdf2 (2.10.7-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 12 Sep 2022 15:24:48 +0200

pypdf2 (2.10.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 08 Sep 2022 19:32:59 +0200

pypdf2 (2.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 30 Aug 2022 20:08:50 +0200

pypdf2 (2.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Aug 2022 19:51:23 +0200

pypdf2 (2.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Aug 2022 09:59:12 +0200

pypdf2 (2.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 12 Aug 2022 15:57:47 +0200

pypdf2 (2.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 05 Aug 2022 15:21:02 +0200

pypdf2 (2.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Jul 2022 15:56:59 +0200

pypdf2 (2.6.0-1) unstable; urgency=medium

  * New upstream release (closes: #1015296).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Jul 2022 05:20:15 +0000

pypdf2 (2.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Jul 2022 19:32:22 +0200

pypdf2 (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Jul 2022 21:08:30 +0200

pypdf2 (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 01 Jun 2022 17:43:59 +0200

pypdf2 (1.27.12-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 May 2022 20:40:07 +0200

pypdf2 (1.27.9-1) unstable; urgency=high

  * New upstream release:
    - fixes CVE-2022-24859: manipulated inline images can cause infinite loop
      (closes: #1009879).
  * Update homepage location.
  * Update watch file.
  * Update debhelper level to 13 .


=== debian/control ===
Source: pypdf
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Section: python
Priority: optional
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 flit (>= 3.8.0),
 pybuild-plugin-pyproject,
 python3-all,
 python3-pil <!nocheck>,
 python3-pycryptodome <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-typing-extensions,
Standards-Version: 4.6.2
Homepage: https://pypdf.readthedocs.io/en/latest/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/pypdf.git
Vcs-Browser: https://salsa.debian.org/debian/pypdf
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pypdf
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pil,
 python3-pycryptodome,
Description: Pure-Python library built as a PDF toolkit (Python 3)
 A Pure-Python library built as a PDF toolkit.  It is capable of:
   - extracting document information (title, author, ...),
   - splitting documents page by page,
   - merging documents page by page,
   - cropping pages,
   - merging multiple pages into a single page,
   - encrypting and decrypting PDF files.
 .
 By being Pure-Python, it should run on any Python platform without any
 dependencies on external libraries.  It can also work entirely on StringIO
 objects rather than file streams, allowing for PDF manipulation in memory.
 It is therefore a useful tool for websites that manage or manipulate PDFs.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--cov --cov-report term-missing -vv -m 'not samples and not external'
export PYBUILD_AFTER_TEST=rm -f .pybuild/*/build/.coverage

%:
	dh $@ --buildsystem=pybuild

## pypdf 4.0.2

=== debian/changelog ===
pypdf (4.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Feb 2024 07:36:40 -0500

pypdf (4.0.1-1) unstable; urgency=medium

  * New upstream release
    - Drop d/p/0004-Use-pytest.importorskip-to-skip-fpdf-tests.patch,
      equivalent fix incorporated upstream

 -- Scott Kitterman <scott@kitterman.com>  Thu, 01 Feb 2024 00:42:07 -0500

pypdf (4.0.0-1) unstable; urgency=medium

  * Upload to Unstable
  * Drop d/p/0003-Missing-pytest.mark.samples.patch, residual parts of the
    patch are not needed
  * Update d/copyright

 -- Scott Kitterman <scott@kitterman.com>  Tue, 23 Jan 2024 17:01:38 -0500

pypdf (4.0.0-1~exp1) experimental; urgency=medium

  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Fri, 19 Jan 2024 09:19:38 -0500

pypdf (3.17.4-1) unstable; urgency=medium

  * New upstream release
    - Drop d/p/0002-mark-new-external-tests-appropriately.patch, incorporated
      upstream
  * Add python3-pytest-timeout and python3-yaml to build-depends
  * Update d/rules test args to use not enable_socket instead of not external
    to align with upstream conventions
  * Add d/p/0002-Remove-addopts-for-pytest.patch to allow test suite to run
  * Add d/p/0003-Missing-pytest.mark.samples.patch to correct missing test
    marks
  * Add d/d/0004-Use-pytest.importorskip-to-skip-fpdf-tests.patch to skip the
    one test that uses fpdf, which is not packaged in Debian
  * Adopt for Debian Python Team (Closes: #1059161)
    - Update maintainer and add myself to uploaders
    - Update Vcs-* to DPT locations

 -- Scott Kitterman <scott@kitterman.com>  Sun, 14 Jan 2024 17:18:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: pypdf
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Scott Kitterman <scott@kitterman.com>,
+ Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Section: python
 Priority: optional
-Uploaders:
- Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
- flit (>= 3.8.0),
+ flit,
  pybuild-plugin-pyproject,
  python3-all,
  python3-pil <!nocheck>,
  python3-pycryptodome <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
- python3-typing-extensions,
+ python3-pytest-timeout <!nocheck>,
+ python3-yaml,
 Standards-Version: 4.6.2
 Homepage: https://pypdf.readthedocs.io/en/latest/
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/pypdf.git
-Vcs-Browser: https://salsa.debian.org/debian/pypdf
+Vcs-Git: https://salsa.debian.org/python-team/packages/pypdf.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pypdf
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pypdf

## pypdf 4.2.0

=== debian/changelog ===
pypdf (4.2.0-1) unstable; urgency=medium

  * New upstream release
    - Drop d/p/0003-Fix-test-exceptions.patch, incorporated upstream
  * Bump standards-version to 4.7.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Apr 2024 06:29:24 -0400

pypdf (4.1.0-1) unstable; urgency=medium

  * New upstream release
  * Add d/p/0003-Fix-test-exceptions.patch so that only correct tests are run

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Mar 2024 08:39:54 -0500

## pypdf 4.3.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 maint:
-	pyenv local 3.6.15
+	pyenv local 3.7.15
 	pre-commit autoupdate
 	pip-compile -U requirements/ci.in
-	pyenv local 3.7.15
 	pip-compile -U requirements/dev.in
-	pyenv local 3.7.9
 	pip-compile -U requirements/docs.in
 
-changelog:
-	python make_changelog.py
+release:
+	python make_release.py
+	git commit -eF RELEASE_COMMIT_MSG.md
 
 upload:
 	make clean

=== debian/changelog ===
pypdf (4.3.1-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Jul 2024 23:37:54 -0400

## pypdf 5.4.0

=== debian/changelog ===
pypdf (5.4.0-1) unstable; urgency=low

  * Team upload.
  * New upstream version 5.4.0
  * Refresh d/patches/*.patch
  * Add d/salsa-ci.yml to enable the Salsa CI pipeline

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Wed, 02 Apr 2025 10:46:21 -0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-yaml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pypdf.readthedocs.io/en/latest/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pypdf.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--cov --cov-report term-missing -vv -m 'not samples and not enable_socket'
export PYBUILD_AFTER_TEST=rm -f .pybuild/*/build/.coverage

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
mode=git,\
pgpmode=gittag \
https://github.com/py-pdf/pypdf.git refs/tags/@ANY_VERSION@
